<?php 
// Handle AJAX request (start)
if( isset($_POST['ajax']) && isset($_POST['name']) ){
    echo $_POST['name'];
    exit;
}
// Handle AJAX request (end)
?>

<!doctype html>
<html>
    <head>
        <title>How to Handle AJAX request on the Same Page – PHP</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body >
        
        <form method='post' action>
            <p>Enter the value in the textbox element.</p>
            <input type='text' name='name' placeholder='Enter your name' id='name'>
            <input type='submit' value='submit' name='submit'><br>
            <div id='response'></div>
        </form>

        <!-- Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script>
        $(document).ready(function(){
            $('#name').keyup(function(){
                var name = $('#name').val();

                $.ajax({
                    type: 'post',
                    data: {ajax: 1,name: name},
                    success: function(response){
                        $('#response').text('name : ' + response);
                    }
                });
            });
        });
        </script>
    </body>
</html>